<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Semantic UI</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">
    
    <!-- START Sidebar -->
    <div class="sidebar-wrapper">
      <div class="ui vertical left visible menu">
        <div class="item">
          <h1 class="ui large header">Time tracker</h1>
        </div>
        <div class="item">
          <img class="ui avatar circular image" src="dist/img/avatar.png">
          {% assign activeUser = users | where: "id", options.activeUser | first %}
          <span><strong>{{ activeUser.name }}</strong></span>
        </div>
        <a class="blue item" href="index.html">
          <i class="tachometer alternate icon"></i>
          Dashboard
        </a>
        <a class="active blue item" href="time.html">
          <i class="clock icon"></i>
          Time tracking
        </a>
        <a class="blue item" href="projects.html">
          <i class="th icon"></i>
          Projects
        </a>
        <a class="blue item" href="clients.html">
          <i class="star icon"></i>
          Clients
        </a>
        <a class="blue item" href="teams.html">
          <i class="users icon"></i>
          Teams
        </a>
        <a class="blue item" href="users.html">
          <i class="address book icon"></i>
          Users
        </a>
        <a class="blue item" href="settings.html">
          <i class="cogs icon"></i>
          Settings
        </a>
      </div>
    </div>
    <!-- END Sidebar-->


    <!-- START Main -->
    <div class="main-wrapper">
      
      <div class="ui top menu ">
        <a class="item" id="js-open-nav"><i class="bars icon"></i> Menu</a>
        <div class="right menu">
          <a class="item" href="#" id="js-logout">Logout</a>
        </div>
      </div>

      <!-- START Content -->
      <div class="ui grid container">
        <div class="row">
          <div class="column">


          <h2 class="ui dividing header clearing">Time tracker
            <div class="ui buttons mini right floated">
              <a href="../index.html" class="ui button">Change framework</a>
              <button class="ui button" id="js-load-data">Reset data</button>
            </div>
          </h2>
  
  
          <div class="ui grid stackable">

            <div class="sixteen wide column">
              <h3>Track time</h3>
              <div class="ui segment">

                {% if activeUser.running == 0 %}
                <form class="ui form" id="js-timer-start">
                  <div class="ui grid stackable">

                    <div class="five wide large screen eight wide small screen column">
                      <input type="text" placeholder="Description" name="desc" required>
                    </div>

                    <div class="four wide large screen eight wide small screen column">
                      {% assign myTeams = "" | split:"" %}
                      {% for team in teams %}
                        {% if team.users contains activeUser.id %}
                          {% assign myTeams = myTeams | concat: team.id %}
                        {% endif %}
                      {% endfor %}
                      <select class="ui fluid search dropdown" name="projectId" required>
                        <option value="">Project</option>
                        {% for project in projects %}
                          {% if project.active == 1 %}
                          {% if myTeams contains project.teamId %}
                          <option value="{{ project.id }}">{{ project.name }}</option>
                          {% endif %}
                          {% endif %}
                        {% endfor %}
                      </select>
                    </div>

                    <div class="three wide large screen eight wide small screen column">
                      <div class="ui label big">
                        <i class="clock icon"></i>00:00:00
                      </div>
                    </div>

                    <div class="four wide large screen eight wide small screen column">
                      <button class="ui yellow button" type="reset">
                        <i class="redo icon"></i>
                        Reset
                      </button>
                      <button class="ui green button" type="submit">
                        <i class="play icon"></i>
                        Start
                      </button>
                    </div>

                  </div>
                </form>
                {% else %}
                {% assign timer = timers | where: "id", activeUser.running | first %}
                <form class="ui form" id="js-timer-stop">
                  <div class="ui grid stackable">

                    <div class="five wide large screen eight wide small screen column">
                      <input type="text" placeholder="{{ timer.desc }}" disabled>
                    </div>

                    <div class="four wide large screen eight wide small screen column">
                      {% assign timerProject = projects | where: "id", timer.projectId | first %}
                      <input type="text" placeholder="{{ timerProject.name }}" disabled>
                    </div>

                    <div class="three wide column">
                      <div class="ui label big">
                        <i class="clock icon"></i>
                        <span id="js-timer-counter" class="timer-counter">
                          {{ timer.startTime | timeDiffNow }}
                        </span>
                      </div>
                    </div>

                    <div class="four wide large screen eight wide small screen column">
                      <button class="ui yellow button" type="reset">
                        <i class="redo icon"></i>
                        Clear
                      </button>
                      <button class="ui red button" type="submit">
                        <i class="stop icon"></i>
                        Stop
                      </button>
                    </div>

                  </div>
                </form>
                {% endif %}


              </div>
            </div>


            <div class="sixteen wide column">
              <h3>My tracker</h3>
              <div class="ui cards">

                {% assign filteredEntries = entries | where: "userId", activeUser.id %}
                {% for entry in filteredEntries %}
                  {% assign entryProject = projects | where: "id", entry.projectId | first %}
                  {% if entryProject.active == 1 %}
                  <div class="card full">
                    <div class="content">
                      <div class="right floated ui">
                        <button class="ui icon button red small" data-delete-entry="{{ entry.id }}">
                          <i class="trash icon"></i>
                        </button>
                      </div>
                      <div class="header">
                        {{ entry.desc }}
                      </div>
                      <div class="meta">
                        Project: {{ entryProject.name }}
                      </div>
                    </div>
                    <div class="extra content">
                      <span class="right floated">
                        <i class="clock icon"></i>
                        {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})
                      </span>
                      <span>
                        <i class="calendar alternate icon"></i>
                        {{ entry.startTime | date: "%d.%m.%Y" }}
                      </span>
                    </div>
                  </div>
                  {% endif %}
                {% endfor %}

              </div>
            </div>
          </div>

          </div>
        </div>
      </div>
      <!-- END Content -->


    </div>
    <!-- END Main -->

    </div>
  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>